#include <stdio.h>
#include <stdlib.h>

/*Inicializa la etapa*/
int iniciar_etapa(etapa *etp){
    *etp=NULL;
}

/*Devuelve 1 si esta vaca*/
int lista_vacia(etapa etp){
    if(etp) return 0;
    return 1;
}

/*Devuelve el tamao de la etapa*/
int tam_etapa(etapa etp){
    int i=0;
    while (etp) {
      etp=etp->siguiente;
      i++;
    }
    return i;
}

/*Devuelve un puntero a un transistor, es decir aumenta la etapa en un transistor*/
etapa crear_etapa(etapa *etp){
      etapa etap;
      if ((etap=(etapa)malloc(sizeof(transistor)))==NULL)
        return NULL;
      etap->siguiente=NULL;
      etap->anterior=*etp;
      return etap;
}

/*Inicializa los valores de las resistencias r_s y r_load*/
int ini_res(etapa etp,float rs,float rload){
    if(etp->anterior==NULL){
      etp->r_s=rs;
      etp->r_load=rload;
    }
    else{
      etp->r_load=rload;
      etp->r_s=0;
      etp=etp->anterior;
      etp->r_load=0;
    }
    return 0;
}

/*Libera la memoria de una etapa*/
int liberar(etapa etp){
    etapa etpsig;
    while(etp!=NULL){
     etpsig=etp->siguiente;
     free(etp);
     etp=etpsig;
    }
    return 0;
}

