/*
  Nombre: Amplificador 1.0
  Copyright: Programacin de sistemas para el control de procesos.
  Autor: Antonio Garca Jimnez
  Carrera: Ingeniera Industrial Tcnica Especialidad Electrnica Industrial.
  Descripcin: Diseo de amplificadores a travs de etapas amplificadoras de transistores
  bipolares de tipo NPN, y de configuracin en: colector comn, emisor comn (o con resistencia en el emisor) y base comn.
*/

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include "C:\Documents and Settings\Antonio G\Escritorio\Amplificador 1.0\Funciones.h"
#include "C:\Documents and Settings\Antonio G\Escritorio\Amplificador 1.0\Ayuda.h"
#include "C:\Documents and Settings\Antonio G\Escritorio\Amplificador 1.0\Menu.h"
#include "C:\Documents and Settings\Antonio G\Escritorio\Amplificador 1.0\Primitivas.h"
int main(){
    presen();
    int k=0,s=0,ok,v,g,h;
    char m,n=164,a;
    float rs=0,rload=0;
    /*Punteros a estructuras de tipo transistor*/
    etapa etp,act,ant;
    /*Se inicializa el puntero a NULL*/
    iniciar_etapa(&etp);
    /*Imprime el men.
    El do while no acaba hasta que no se selecciona la opcin salir.*/
    do {
     menu();
     fflush(stdin);
     scanf("%c",&m);
     switch(m){
      case 'a':case'A': ayuda(); k=1; break;
      case 'i':case'I':
        /*Reserva memoria para la primera esturctura de tipo transistor*/
        etp=crear_etapa(&etp);
        /*Si no hay memoria se sale*/
        if(etp==NULL){
         printf("\n\tNO HAY MEMORIA SUFICIENTE.");
         system("pause"); k=1; break;
        }
        /*Guarda el valor de la resistencia de carga y la de seal*/
        if(s==0){
         system("cls");
         printf("\n\tRESISTENCIAS GENERALES DEL DISE%cO:",n);
         do{printf("\n\tIntroduzca el valor de la resistencia en serie con Vi (ohmios), Rs: "); fflush(stdin); 
          ok=scanf("%f",&etp->r_s); if(ok!=1) printf("Entrada no vlida. ");
         } while(!ok);
         do{printf("\n\tIntroduzca el valor de la resistencia de carga (ohmios), Rload: "); fflush(stdin); 
          ok=scanf("%f",&etp->r_load); if(ok!=1) printf("Entrada no vlida. ");
         } while(!ok);
         s++;
        }
        /*Pide el tipo de polarizacin de la primera etapa.
        Tiene la opcin de ver la ayuda*/
        do{
         el_pol();
         fflush(stdin);
         scanf("%c",&etp->polari);
         if(etp->polari!='d'&&etp->polari!='D'&&etp->polari!='f'&&etp->polari!='F'&&etp->polari!='a'&&etp->polari!='A'){
          printf("\tOPOCION ERRONEA\n\t");
          system("pause");
         }
         if(etp->polari=='a'||etp->polari=='A'){
          ayudapol();
          dib_divten();
          dib_eqdiv();
         }
        }while(etp->polari!='d'&&etp->polari!='D'&&etp->polari!='f'&&etp->polari!='F');
        /*Pide el tipo de configuracin de la primera etapa.
        Tiene la opcin de ver la ayuda*/
        do{
         el_conf();
         fflush(stdin);
         scanf("%c",&etp->confi);
         if(etp->confi!='a'&&etp->confi!='A'&&etp->confi!='e'&&etp->confi!='E'&&etp->confi!='r'&&etp->confi!='R'&&etp->confi!='c'&&etp->confi!='C'&&etp->confi!='b'&&etp->confi!='B'){
          printf("\tOPOCION ERRONEA\n\t");
          system("pause");
         }
         if(etp->confi=='a'||etp->confi=='A'){
          ayudaetp();
         }
        }while(etp->confi!='e'&&etp->confi!='E'&&etp->confi!='r'&&etp->confi!='R'&&etp->confi!='c'&&etp->confi!='C'&&etp->confi!='b'&&etp->confi!='B');
        /*Pide los valores de la polarizacin.
        En caso de que el transistor no se encuentre en regin activa hay que volver a configurar los valores*/
        do{
         pola(etp);
         if(etp->estado!='a'){
          printf("\n\tEl transistor no esta en la region activa, VUELVA A CONFIGURAR.");
          printf("\n\t");
          system("pause");
         }
        }while(etp->estado!='a');
        /*Va aumentando el diseo en una etapa*/
        do{
         printf("\n\tDESEAS AUMENTAR EL DISE%cO CON UNA ETAPA MAS: <S/N>",n);
         fflush(stdin);
         scanf("%c",&a);
         h=1;
         if(a=='S'||a=='s'){
          /*Guarda ant segn haya mas de una etapa o no*/
          if(tam_etapa(etp)==1)
           ant=etp;
          else
           ant=act;
          /*Reserva memoria y la guarda en el puntero siguiente de la ltima estructura de tipo transistor*/
          ant->siguiente=crear_etapa(&ant);
          /*Si no hay memoria se sale*/
          if(ant->siguiente==NULL){
           printf("\n\tNO HAY MEMORIA SUFICIENTE.");
           system("pause"); k=1; break;
          }
          act=ant->siguiente;
          /*Pide el tipo de polarizacin de la nueva etapa
          Tiene la opcin de ayuda*/
          do{
           el_pol();
           fflush(stdin);
           scanf("%c",&act->polari);
           if(act->polari!='d'&&act->polari!='D'&&act->polari!='f'&&act->polari!='F'&&act->polari!='a'&&act->polari!='A'){
            printf("\tOPOCION ERRONEA\n\t");
            system("pause");
           }
           if(act->polari=='a'||act->polari=='A'){
            ayudapol();
            dib_divten();
            dib_eqdiv();
           }
          }while(act->polari!='d'&&act->polari!='D'&&act->polari!='f'&&act->polari!='F');
          /*Pide el tipo de configuracin de la nueva etapa.
          Tiene la opcin de ayuda*/
          do{
           el_conf();
           fflush(stdin);
           scanf("%c",&act->confi);
           if(act->confi!='a'&&act->confi!='A'&&act->confi!='e'&&act->confi!='E'&&act->confi!='r'&&act->confi!='R'&&act->confi!='c'&&act->confi!='C'&&act->confi!='b'&&act->confi!='B'){
            printf("\tOPOCION ERRONEA\n\t");
            system("pause");
           }
           if(etp->confi=='a'||etp->confi=='A'){
            ayudaetp();
           }
          }while(act->confi!='e'&&act->confi!='E'&&act->confi!='r'&&act->confi!='R'&&act->confi!='c'&&act->confi!='C'&&act->confi!='b'&&act->confi!='B');
          /*Pide los valores de la polarizacin.
          En caso de que el transistor no se encuentre en regin activa hay que volver a configurar los valores*/
          do{
           pola(act);
           if(act->estado!='a'){
            printf("\n\tEl transistor no esta en la region activa, VUELVA A CONFIGURAR.");
            printf("\n\t");
            system("pause");
           }
          }while(act->estado!='a');
          ini_res(act,rs,rload);
         }
         if(a=='n'||a=='N'){
          h=0;
         }
        }while(h);
        act=etp;
        ant=NULL;
        /*Guarda en la estructura los parametros de impedancias
        Tiene en cuenta la impedancia de salida para la impedancia de entrada de la siguiente etapa
        Y tiene en cuenta la impedancia de entrada pala la impedancia de salida de la etapa anterior*/
        do{
         impedancias(act);
         if(ant!=NULL){
          ant->r_out=r_th(ant->r_out,act->r_in);
          act->r_in=ant->r_out;
         }
         ant=act;
         act=act->siguiente;
        }while(act!=NULL);
        act=etp;
        /*Guarda en la estructura los parametros de ganancias*/
        while(act!=NULL){
         ganancias(act);
         act=act->siguiente;
        }
        k=1; break;
      case 'v':case'V': 
        act=etp;
        /*Se sale si no existe ninguna etapa*/
        if(act==NULL){
         system("cls");
         printf("\n\tNO HAY NINGUNA ETAPA CREADA.\n\t");
         getch();        
         k=1;
         break;
        }
        /*Pide la opcin que se desea ver*/
        do{
         ver();
         fflush(stdin);
         scanf("%d",&v); 
         int t;
          float gt,gi;
          char n=164,o=162;
         switch(v){
          case 1:
            system("cls");
            act=etp;
            t=0;
            do{
             t++;
             pntotrabaj(act,t);
             system("pause");
             act=act->siguiente;
            }while(act!=NULL); 
            g=1; break;
          case 2:
            system("cls");
            act=etp;
            t=0;
            do{
             t++;
             ganimp(act,t);
             system("pause");
             act=act->siguiente;
             }while(act!=NULL);
            g=1; break;
          case 3:
            system("cls");
            gt=1;
            gi=1;
            act=etp;
            printf("\n\n\t#######GANANCIAS E IMPEDANCIAS GENERALES DEL DISE%cO########",n);
            printf("\n\n\t  Impedancia de entrada Zin = %f Ohmios",etp->r_in);
            /*Calcula la ganancia de tensin y de corriente del diseo*/
            do{
             gt=(gt*act->av);
             gi=(gi*act->ai);
             ant=act;
             act=act->siguiente;
            }while(act!=NULL);
            printf("\n\n\t  Impedancia de salida Zout = %f Ohmios",ant->r_out);
            printf("\n\n\t  Ganancia de tensi%cn Av = %f V/V",o,gt);
            printf("\n\n\t  Ganancia de corriente Ai = %f A/A\n\n\t",gi);
            system("pause");
            g=1; break;
          case 4: 
            g=0; break;
          default: 
            printf("\n\n\tOPCION ERRONEA");printf("\n\n\tPOR FAVOR VUELVA A INTENTARLO");
            g=1;break;
         } 
        }while(g);
        k=1; break;
      /*Sale del programa liberando la memoria reservada*/
      case 's':case'S': 
        liberar(etp);
        fin();
        k=0; break;
      /*En caso de no elegir bien la opcin vuelve a pedirla*/
      default: printf("\n\n\tOPCION ERRONEA");printf("\n\n\tPOR FAVOR VUELVA A INTENTARLO");
        k=1;break;
     }
     system("pause");
    }while(k);
    return 0;
}
